/* twoled
   Két LED-et villogtatunk, ahol a piros LED anódja a D5 lábra,
   a zöld LED anódja pedig a D6 lábra van kötve. A LED katódok 
   egy-egy 470 ohmos ellenálláson keresztül földre vannak kötve
 */
//Hardverfüggő rész: csak Arduino kártyához kell...  
const int RED_LED = 5;
const int GREEN_LED = 6;

//Hardverfüggetlen rész (MSP430 Launchpad kártyán is futtatható!)
void setup() {
  pinMode(RED_LED,OUTPUT);       //legyen kimenet
  pinMode(GREEN_LED,OUTPUT);     //legyen kimenet
}

void loop() {
  digitalWrite(RED_LED,HIGH);   //RED_LED világít
  digitalWrite(GREEN_LED,LOW);  //GREEN_LED nem világít 
  delay(1000);                  //1 s várakozás  
  digitalWrite(RED_LED,LOW);    //RED_LED nem világít
  digitalWrite(GREEN_LED,HIGH); //GREEN_LED világít
  delay(1000);                  //1 s várakozás
}  
