/*
  twoled_fastio 
  Két LED-et villogtatunk ellenütemben, közvetlen portkezeléssel
  Ez a program csak ATmega186, vagy ATmega328 kártyán fut (Arduino UNO, nano, mini...), 
  MSP430 Launchpad kártyán nem, mivel a portkezelés itt hardverfüggő módon történik!
 */

void setup() {
  //Kezdeti beállítások
  DDRD |= 0b01100000;     //PORTD 5 és 6 bitje legyen kimenet!
  PORTD |= 0b00100000;    //Kezdetben PORTD_5 legyen HIGH!
  PORTD &= 0b10111111;    //Kezdetben PORTD_6 legyen LOW!
}

// a loop függvény újra és újra ismétlődik a végtelenségig
void loop() {
  PORTD ^= 0b01100000;    // a LED-ek állapotát átbillentjük (XOR művelettel)
  delay(1000);            // várunk egy másodpercig
}
